Index: trunk/tools/eam/rebalance/launch.trash.errors.sh
===================================================================
--- trunk/tools/eam/rebalance/launch.trash.errors.sh	(revision 41683)
+++ trunk/tools/eam/rebalance/launch.trash.errors.sh	(revision 42314)
@@ -1,25 +1,65 @@
 #!/bin/csh 
 
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.trash.errors.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.trash.errors.sh"
+         ssh -f $f "cd $mydir && ./launch.trash.errors.sh"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
+
+set myhost = `hostname`
 set Nhost = `hostname | sed s/ipp//`
 
-set ver = "v0"
-set verdate = "20201209"
+set target = NONE
+switch ($myhost)
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
+  breaksw;
 
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
+  breaksw;
 
-set target = NONE
-if (($Nhost > 101) && ($Nhost <= 111)) then 
-  set target = ipp145
-endif
-if ($Nhost > 111) then 
-  set target = ipp146
-endif
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
+  breaksw;
 
-if (($Nhost == 100) || ($Nhost == 101)) then
-  set target = ipp140
-  set v = 0 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
-  set target = ipp133
-  set v = 1 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
-  exit 0
-endif
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
+  case ipp139
+  set target = ipp157
+  breaksw;
+endsw
 
 if ("$target" == "NONE") then
@@ -28,5 +68,5 @@
 endif
 
-set v = 0 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
-set v = 1 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
+set v = 0 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$version.log >& $h.$v/errors.trash.$version.$run &
+set v = 1 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$version.log >& $h.$v/errors.trash.$version.$run &
 
